---
title: a11y.css’ documentation
layout: "templates/page"
---

## Introduction

Pronounced "Alix".

This <abbr title="Cascading StyleSheet" aria-label="Cascading StyleSheet">CSS</abbr> file intends to warn developers about <b>possible risks and mistakes</b> that exist in HTML code. It can also be used to roughly evaluate a site's quality by simply including it as an external stylesheet.

CSS files are available in French, English, Spanish, Greek, Arabic, Portuguese, Russian, Chinese and Polish — and leveled or full.

## How to use?

### Web Extension

Either you're using <a href="https://addons.mozilla.org/en-GB/firefox/addon/a11ycss/" target="_blank" rel="noopener noreferrer">Firefox&nbsp;<span class="sr-only">(external link)</span>{% include "icons/external-link.svg" %}</a>, <a href="https://microsoftedge.microsoft.com/addons/detail/a11ycss/lkehmahcnhddkdaemngepjckgcjnidpe" target="_blank" rel="noopener noreferrer">Edge&nbsp;<span class="sr-only">(external link)</span>{% include "icons/external-link.svg" %}</a>
or <a href="https://chrome.google.com/webstore/detail/a11ycss/iolfinldndiiobhednboghogkiopppid?hl=fr" target="_blank" rel="noopener noreferrer">Chrome&nbsp;<span class="sr-only">(external link)</span>{% include "icons/external-link.svg" %}</a>, 
you're invited to install and use <a href="https://github.com/ffoodd/a11y.css-webextension" target="_blank" rel="noopener noreferrer">a11y.css's webextension — which has its own repository&nbsp;<span class="sr-only">(external link)</span>{% include "icons/external-link.svg" %}</a>.

It provides some nice features not included in the main CSS file (for now), such as:

* force focus visibility;
* show lang attributes;
* check images' alternatives by displaying them;
* increase text spacings.

As a WebExtension, it also enables to:

* toggle CSS and change level on the fly, 
* remember settings for each tab,
* automatically update in the background.

## Contribution

If you want to get involved in this project, be sure to [take a look at its wiki](https://github.com/ffoodd/a11y.css/wiki). I'll be pleased to read your issues or pull requests!
